<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 
backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_blogsectionpadding', 'testimonials_area', 'Section Padding');

$wp_customize->add_setting(
    'testimonials_areaTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaTpadding',
    array(
        'settings'      => 'testimonials_areaTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Top Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'testimonials_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaBpadding',
    array(
        'settings'      => 'testimonials_areaBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Bottom Padding', 'Luzuk Premium' )
    )
);


$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
       'luzuk_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_testimonials_title_subtitle_heading',
           'section'       => 'testimonials_area',
           'label'         => __( 'Section Heading , Sub Heading Text Setting', 'Luzuk Premium' ),
       )
   )
);

$wp_customize->add_setting(
    'testimonials_title',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Here what out clients have to say about us', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_title',
    array(
       'settings'      => 'testimonials_title',
       'section'       => 'testimonials_area',
       'type'          => 'textarea',
       'label'         => __( 'Section Heading', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testimonialsarea_sectitle_color', 'testimonials_area', 'Section Heading Color', '#2e3d62');

//addColorPalatOption($wp_customize, 'testiarea_sectitlbrd_color', 'testimonials_area', 'Section Heading Border Color', '#cccccc');

$wp_customize->add_setting(
    'testimonials_subtitle',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'The purpose of loren ipsum is to create a natural lookig block of text that does not distract', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_subtitle',
    array(
       'settings'      => 'testimonials_subtitle',
       'section'       => 'testimonials_area',
       'type'          => 'textarea',
       'label'         => __( 'Section Heading Text', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testiarea_subtitle_color', 'testimonials_area', 'Section Heading Text Color', '#838a9b');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 10; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}

lzCustomLable($wp_customize, 'clientcolor', 'testimonials_area', 'Section Colors');




addColorPalatOption($wp_customize, 'luzuk_test_Namecolor', 'testimonials_area', 'Section Client Name Color', '#2e3d62');

addColorPalatOption($wp_customize, 'luzuk_test_Namehvclr', 'testimonials_area', 'Section Client Name Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_test_Npsnclr', 'testimonials_area', 'Section Client Designation Color', '#2e3d62');

addColorPalatOption($wp_customize, 'luzuk_test_Npsnhvclr', 'testimonials_area', 'Section Client Designation Hover Color', '#fd8455');

addColorPalatOption($wp_customize, 'luzuk_test_tetcolor', 'testimonials_area', ' Section Text Color', '#7a7d8b');

addColorPalatOption($wp_customize, 'testiicncolor', 'testimonials_area', 'Section Icon Color', '#fff');

addColorPalatOption($wp_customize, 'testiicnhvcolor', 'testimonials_area', 'Section Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'testi_icnbgcolor', 'testimonials_area', 'Section Icon Background Color', '#2e3d62');

addColorPalatOption($wp_customize, 'testi_icnbghvclr', 'testimonials_area', 'Section Icon Background Hover Color', '#fd8455');

//addColorPalatOption($wp_customize, 'testi_hbtnbg', 'testimonials_area', 'Section Slider Button Color', '#ccc');

//addColorPalatOption($wp_customize, 'testi_hbtnbghv', 'testimonials_area', 'Section Slider Active Button Color', '#fd8455');